//////////////////////////////////////////////////////////////////////////////
//
//    MAIN.CPP
//
//    Copyright (C) 2003 Gilles CAULIER <caulier.gilles@free.fr>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////

#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>

#include "kimg2mpg.h"
#include "kimg2mpgSplash.h"


static const char *description = I18N_NOOP("KDE MPEG portfolio images creator"
                    "\nKVCDTools project"
                    "\n\nKimg2mpg is an 'img2mpg' bash script frontend"
                    "\nFor more informations, see 'img2mpg(1)' man page");

static const char *version = "1.2";

int main( int argc, char *argv[] )
{
  KAboutData aboutData("kimg2mpg",
                       I18N_NOOP("KImg2mpg"),
                       version,
                       description,
                       KAboutData::License_GPL,
                       "(c) 2003, Gilles CAULIER",
                       0,
                       "http://kvcdtools.free.fr",
                       "caulier.gilles@free.fr");
                       
  aboutData.addAuthor("Gilles CAULIER",
                      I18N_NOOP("Author, Maintainer, French translator"),
                      "caulier.gilles@free.fr",
                      "http://caulier.gilles.free.fr");

  KCmdLineArgs::init( argc, argv, &aboutData );

  KApplication a;

  // For local tests...
  //Kimg2mpgSplash *splash = new Kimg2mpgSplash("/home/gilles/CVS/kimg2mpg/kimg2mpg/kimg2mpg-splash.png");
  
  Kimg2mpgSplash *splash = new Kimg2mpgSplash("kimg2mpg-splash.png");
  splash->show();
  
  KImg2mpgData* kimg2mpg  = new KImg2mpgData();

  a.setTopWidget(kimg2mpg);
  kimg2mpg->show();
  a.exec();

  return 0;
}



